
def random_date_format(date, format):
    """
    Generate a random date format from a given date object.

    Args:
        date (pendulum.Date): The date object to format.
        format (str): The desired date format.

    Returns:
        str: The formatted date string.
    """
    import random
    import pendulum

    date_formats = ["YYYY-MM-DD", "DD/MM/YYYY", "MM-DD-YYYY", "YYYY/MM/DD", "DD-MM-YYYY", "MM/DD/YYYY"]
    random_format = random.choice(date_formats)
    return date.format(random_format)



